# $Id: kradview.spec 3721 2005-11-14 21:52:29Z dries $
# Authority: dries
# Upstream: David Santo Orcero <irbis$orcero,org>

# Screenshot: http://www.orcero.org/irbis/kradview/imagen1.png

%{?dist: %{expand: %%define %dist 1}}

Summary: Viewer for DICOM compatible imaging devices
Name: kradview
Version: 0.5.3
Release: 1.rf
License: GPL
Group: Applications/Multimedia
URL: http://www.orcero.org/irbis/kradview

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.orcero.org/irbis/kradview/kradview-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++, kdelibs-devel, gettext
%{?fc4:BuildRequires: compat-gcc-32-c++}

%description
kradview is a viewer for images obtained from various sources: X-ray, NMR, 
and all DICOM-compatible imaging devices. Its aim is to be a complete 
platform for medical imaging and image processing.

%prep
%setup

%build
%{?fc4:export CXX=g++32}
%{expand: %%define optflags -O2}
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/kradview
%{_bindir}/kradview_client
%{_datadir}/applnk/Utilities/kradview.desktop
%dir %{_datadir}/apps/kradview/
%{_datadir}/apps/kradview/kradviewui.rc
%{_datadir}/doc/HTML/en/kradview/
%{_datadir}/icons/*/*/apps/kradview.png

%changelog
* Tue Sep 13 2005 Dries Verachtert <dries@ulyssis.org> - 0.5.3-1 - 3721/dries
- Initial package.
